
#include <stdio.h>
#include <math.h>
#include "../doc/dcdflib.h"

static double  Prob[] = { .10, .05, .01, .005, .001, -1.0 };

int main()
{
int	df;
int	i;
printf ("%-4s ", "df");
for (i = 0; Prob[i] > 0.0; i++)
        printf ("%8.3f ", Prob[i]);
putchar ('\n');
for (df = 1; df <= 10; df++)
	{
        printf ("%4d ", df);
	for (i = 0; Prob[i] > 0.0; i++) {
	    int which, status;
	    double p, q, dof, x, bound;

	    which = 2;
	    dof = df;
	    q = Prob[i];
	    p = 1 - q;
	    cdfchi(&which, &p, &q, &x, &dof, &status, &bound);
	    if (status == 0) {
                printf ("%8.3f ", x);
	    } else {
                printf(" S = %3d ", status);
	    }
	}
        putchar ('\n');
	}
}
